# xarray.ufuncs.fix

`xarray.ufuncs.``fix` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.fix. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  Round to nearest integer towards zero.

  Round an array of floats element-wise to nearest integer towards zero. The rounded values are returned as floats.

  Parameters:

  - x (array_like) – An array of floats to be rounded
  - y (ndarray, optional) – Output array

  Returns: | out – The array of rounded numbers
  Return type: | ndarray of floats

  See also

  `trunc`, `floor`, `ceil`

  `around`
    Round to given number of decimals

  Examples

      >>> np.fix(3.14)
      3.0
      >>> np.fix(3)
      3.0
      >>> np.fix([2.1, 2.9, -2.1, -2.9])
      array([ 2.,  2., -2., -2.])